Package org.silverpeas.components.delegatednews.model

# Class DelegatedNews

java.lang.Object
org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<DelegatedNews,org.silverpeas.core.persistence.datasource.model.identifier.ExternalIntegerIdentifier>
org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<DelegatedNews,org.silverpeas.core.persistence.datasource.model.identifier.ExternalIntegerIdentifier>
org.silverpeas.components.delegatednews.model.DelegatedNews

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.persistence.datasource.model.IdentifiableEntity`

@Entity public class DelegatedNews extends org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity<DelegatedNews,org.silverpeas.core.persistence.datasource.model.identifier.ExternalIntegerIdentifier> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `NEWS_REFUSED`
  `static final String`
  `NEWS_TO_VALIDATE`
  `static final String`
  `NEWS_VALID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DelegatedNews()`
  `DelegatedNews(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId, String contributorId, Date validationDate, org.silverpeas.core.date.Period visibilityPeriod)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `Date`
  `getBeginDate()`
  `String`
  `getContributorId()`
  `Date`
  `getEndDate()`
  `String`
  `getInstanceId()`
  `int`
  `getNewsOrder()`
  `String`
  `getPubId()`
  `org.silverpeas.core.contribution.publication.model.PublicationDetail`
  `getPublicationDetail()`
  `String`
  `getStatus()`
  `Date`
  `getValidationDate()`
  `String`
  `getValidatorId()`
  `int`
  `hashCode()`
  `boolean`
  `isDenied()`
  `boolean`
  `isValidated()`
  `boolean`
  `isWaitingForValidation()`
  `void`
  `setContributorId(String contributorId)`
  `void`
  `setInstanceId(String instanceId)`
  `void`
  `setNewsOrder(int newsOrder)`
  `void`
  `setPubId(int pubId)`
  `void`
  `setStatus(String status)`
  `void`
  `setValidationDate(Date validationDate)`
  `void`
  `setValidatorId(String validatorId)`
  `final void`
  `setVisibilityPeriod(org.silverpeas.core.date.Period visibilityPeriod)`
  `String`
  `toString()`

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.model.jpa.BasicJpaEntity

  `performBeforePersist, performBeforeRemove, performBeforeUpdate`

  ### Methods inherited from class org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity

  `getId, getNativeId, isPersisted, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NEWS_TO_VALIDATE

    public static final String NEWS_TO_VALIDATE
    See Also:
      - Constant Field Values

  - ### NEWS_VALID

    public static final String NEWS_VALID
    See Also:
      - Constant Field Values

  - ### NEWS_REFUSED

    public static final String NEWS_REFUSED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DelegatedNews

    public DelegatedNews()

  - ### DelegatedNews

    public DelegatedNews(org.silverpeas.core.contribution.model.ContributionIdentifier contributionId, String contributorId, Date validationDate, org.silverpeas.core.date.Period visibilityPeriod)

- ## Method Details

  - ### getPubId

    public String getPubId()

  - ### setPubId

    public void setPubId(int pubId)

  - ### getInstanceId

    public String getInstanceId()

  - ### setInstanceId

    public void setInstanceId(String instanceId)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getContributorId

    public String getContributorId()

  - ### setContributorId

    public void setContributorId(String contributorId)

  - ### getValidatorId

    public String getValidatorId()

  - ### setValidatorId

    public void setValidatorId(String validatorId)

  - ### getValidationDate

    public Date getValidationDate()

  - ### setValidationDate

    public void setValidationDate(Date validationDate)

  - ### getBeginDate

    public Date getBeginDate()

  - ### getEndDate

    public Date getEndDate()

  - ### setVisibilityPeriod

    public final void setVisibilityPeriod(org.silverpeas.core.date.Period visibilityPeriod)

  - ### getNewsOrder

    public int getNewsOrder()

  - ### setNewsOrder

    public void setNewsOrder(int newsOrder)

  - ### isValidated

    public boolean isValidated()

  - ### isDenied

    public boolean isDenied()

  - ### isWaitingForValidation

    public boolean isWaitingForValidation()

  - ### getPublicationDetail

    public org.silverpeas.core.contribution.publication.model.PublicationDetail getPublicationDetail()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<DelegatedNews,org.silverpeas.core.persistence.datasource.model.identifier.ExternalIntegerIdentifier>`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `org.silverpeas.core.persistence.datasource.model.jpa.AbstractJpaEntity<DelegatedNews,org.silverpeas.core.persistence.datasource.model.identifier.ExternalIntegerIdentifier>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`